summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergey Popov <pinkbyte@gentoo.org>2015-11-16 12:48:44 +0300
committerSergey Popov <pinkbyte@gentoo.org>2015-11-16 12:51:22 +0300
commit65b66c46979c89db014de52a6cc2f3160e49e7e6 (patch)
treeef21015b84c06a21d24d9c7ae58622c44d80bfee /mail-mta/ssmtp
parentvirtual/python-greenlet: Transfer KEYWORDS from dev-python/greenlet (diff)
downloadgentoo-65b66c46979c89db014de52a6cc2f3160e49e7e6.tar.gz
gentoo-65b66c46979c89db014de52a6cc2f3160e49e7e6.tar.bz2
gentoo-65b66c46979c89db014de52a6cc2f3160e49e7e6.zip
mail-mta/ssmtp: revision bump
Bump EAPI to 5, backport some patches from CentOS Package-Manager: portage-2.2.23
Diffstat (limited to 'mail-mta/ssmtp')
-rw-r--r--mail-mta/ssmtp/Manifest1
-rw-r--r--mail-mta/ssmtp/ssmtp-2.64-r3.ebuild117
2 files changed, 118 insertions, 0 deletions
diff --git a/mail-mta/ssmtp/Manifest b/mail-mta/ssmtp/Manifest
index f2c3cd408a1..8b0c135e863 100644
--- a/mail-mta/ssmtp/Manifest
+++ b/mail-mta/ssmtp/Manifest
@@ -1,2 +1,3 @@
DIST ssmtp-2.64-patches-3.tar.bz2 5128 SHA256 8414329b529b58197e6425ec75387f9bfc02e088cbef7ee83be80bf549ca4140 SHA512 140ca571705ee45ca2d6718b456ab028e3aaeb910a64230d8143a29de837eb3be8f16641f21f56f2c5112867512fabdc952886701d596f0bb303fc1524a1ad46 WHIRLPOOL e4ae24baaa91a424b32cced5111f640e9c3265b2f077f220f894884a7973b3ee4a887bf1113d36a167404c8e6a7123d9bb1bcd95e1a79aada3fd494b2d8b2a0f
+DIST ssmtp-2.64-patches-4.tar.xz 6928 SHA256 b7552a16f61b0a4a7a32a1aaeb77248ef94e061eadc1e545835b9ffb1ada9e6e SHA512 6fa57c0bc5ad363e21bf69fb60f1cbb87ad1ead393a53ab5bd25b709303c321a29ed37ce7fe95b94dae748703bba3b0631fc2a95e40957c5241b5d9f42bc0c4a WHIRLPOOL 0ea1333abb6493a7ede9f89f105e12354be9b23f2f422be375ac592f90a2c3a2a5a9b464d9115131c1e120393a50c905d1b5ebdee9acc57db430aa9754b88c9f
DIST ssmtp_2.64.orig.tar.bz2 52501 SHA256 22c37dc90c871e8e052b2cab0ad219d010fa938608cd66b21c8f3c759046fa36 SHA512 911752e744420adf58552b9cf3a6e558d8b39103e5ad33a9ed4429b9a3a2091f7674aac11fe9bbd66747a61cdabe6bd638b80efcaadc86b057c12e2e235cca72 WHIRLPOOL afa8d41b18c5be632b5b85ca483f1d2ef889d943a5a99fe0c4fe877655148313e3f031308a4126e23c6fa7bcbae009a5804071f6c77f36b092a51aeba259fea8
diff --git a/mail-mta/ssmtp/ssmtp-2.64-r3.ebuild b/mail-mta/ssmtp/ssmtp-2.64-r3.ebuild
new file mode 100644
index 00000000000..63c4b663df9
--- /dev/null
+++ b/mail-mta/ssmtp/ssmtp-2.64-r3.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PATCHSET=4
+
+WANT_AUTOMAKE=none
+
+inherit eutils autotools user
+
+DESCRIPTION="Extremely simple MTA to get mail off the system to a Mailhub"
+HOMEPAGE="ftp://ftp.debian.org/debian/pool/main/s/ssmtp/"
+SRC_URI="mirror://debian/pool/main/s/ssmtp/${P/-/_}.orig.tar.bz2
+ https://dev.gentoo.org/~pinkbyte/distfiles/patches/${P}-patches-${PATCHSET}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="ipv6 +ssl gnutls +mta"
+
+DEPEND="ssl? (
+ !gnutls? ( dev-libs/openssl )
+ gnutls? ( net-libs/gnutls )
+ )"
+RDEPEND="${DEPEND}
+ net-mail/mailbase
+ mta? (
+ !net-mail/mailwrapper
+ !mail-mta/courier
+ !mail-mta/esmtp
+ !mail-mta/exim
+ !mail-mta/mini-qmail
+ !mail-mta/msmtp[mta]
+ !mail-mta/nbsmtp
+ !mail-mta/netqmail
+ !mail-mta/nullmailer
+ !mail-mta/postfix
+ !mail-mta/qmail-ldap
+ !mail-mta/sendmail
+ !mail-mta/opensmtpd
+ )"
+
+REQUIRED_USE="gnutls? ( ssl )"
+
+pkg_setup() {
+ if ! use prefix; then
+ enewgroup ssmtp
+ fi
+}
+
+src_prepare() {
+ EPATCH_SUFFIX="patch" EPATCH_SOURCE="${WORKDIR}/patches" \
+ epatch
+ epatch_user
+
+ # let's start by not using configure.in anymore as future autoconf
+ # versions will not support it.
+ mv configure.in configure.ac || die
+
+ eautoconf
+}
+
+src_configure() {
+ econf \
+ --sysconfdir="${EPREFIX}"/etc/ssmtp \
+ $(use_enable ssl) $(use_with gnutls) \
+ $(use_enable ipv6 inet6) \
+ --enable-md5auth
+}
+
+src_compile() {
+ emake etcdir="${EPREFIX}"/etc || die
+}
+
+src_install() {
+ dosbin ssmtp
+
+ doman ssmtp.8 ssmtp.conf.5
+ dodoc ChangeLog CHANGELOG_OLD INSTALL README TLS
+ newdoc ssmtp.lsm DESC
+
+ insinto /etc/ssmtp
+ doins ssmtp.conf revaliases
+
+ local conffile="${ED}etc/ssmtp/ssmtp.conf"
+
+ # Sorry about the weird indentation, I couldn't figure out a cleverer way
+ # to do this without having horribly >80 char lines.
+ sed -i -e "s:^hostname=:\n# Gentoo bug #47562\\
+# Commenting the following line will force ssmtp to figure\\
+# out the hostname itself.\n\\
+# hostname=:" \
+ "${conffile}" || die "sed failed"
+
+ # Comment rewriteDomain (bug #243364)
+ sed -i -e "s:^rewriteDomain=:#rewriteDomain=:" "${conffile}"
+
+ # Set restrictive perms on ssmtp.conf as per #187841, #239197
+ # Protect the ssmtp configfile from being readable by regular users as it
+ # may contain login/password data to auth against a the mailhub used.
+ if ! use prefix; then
+ fowners root:ssmtp /etc/ssmtp/ssmtp.conf
+ fperms 640 /etc/ssmtp/ssmtp.conf
+ fowners root:ssmtp /usr/sbin/ssmtp
+ fperms 2711 /usr/sbin/ssmtp
+ fi
+
+ if use mta; then
+ dosym ../sbin/ssmtp /usr/lib/sendmail
+ dosym ../sbin/ssmtp /usr/bin/sendmail
+ dosym ssmtp /usr/sbin/sendmail
+ dosym ../sbin/ssmtp /usr/bin/mailq
+ dosym ../sbin/ssmtp /usr/bin/newaliases
+ fi
+}